Retrieve a shipment
curl --request GET \
--url https://api.ship.uniuni.com/prod/client/shipments/{orderNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Shipment retrieved successfully",
"code": 0,
"data": {
"shipment": {
"orderNumber": "UNI0199855FF",
"trackingId": "UR05310000000001281",
"recipient": {
"name": "Jane Doe",
"email": "jane@example.com"
},
"address": {
"address1": "88 Harbour St",
"city": "Toronto",
"province": "ON",
"postalCode": "M7A 2S1",
"country": "Canada"
},
"dimensions": {
"length": 1,
"width": 1,
"height": 1,
"dimensionUnit": "INCH"
},
"weight": {
"value": 2,
"weightUnit": "LB"
},
"status": "PENDING",
"note": "",
"createdAt": "2025-05-31T20:48:39.986Z",
"updatedAt": "2025-07-25T17:29:30.772Z",
"rates": {
"postageType": "NEXT DAY",
"postageFee": 4.93,
"tax": 0.64,
"total": 5.57,
"currency": "CAD"
},
"shipmentLineItems": []
}
}
}Envíos
Recuperar un envío
Retrieves a specific shipment by its order number.
GET
/
client
/
shipments
/
{orderNumber}
Retrieve a shipment
Autorizaciones
API access token generated from the UniUni Platform dashboard.
Parámetros de ruta
The unique order number (e.g. UNI031455E90).
¿Esta página le ayudó?
⌘I